Bug 523203 - axis-1.2.1-4.1 failed to build during RHEL-6 mass rebuild
Summary: axis-1.2.1-4.1 failed to build during RHEL-6 mass rebuild
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: axis
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: beta
: ---
Assignee: Permaine Cheung
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 522407
TreeView+ depends on / blocked
 
Reported: 2009-09-14 13:26 UTC by Karsten Hopp
Modified: 2009-09-26 10:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-25 11:02:48 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2009-09-14 13:26:36 UTC
Description of problem:
    [javac] ----------
    [javac] 205. ERROR in /builddir/build/BUILD/axis-1_2_1/src/org/apache/axis/i18n/ProjectResourceBundle.java
    [javac]  (at line 363)
    [javac] 	public static void clearCache()
    [javac] 	                   ^^^^^^^^^^^^
    [javac] Cannot override the final method from ResourceBundle


Full logs available at
https://brewweb.devel.redhat.com/taskinfo?taskID=1949331

Steps to Reproduce:
1. run a brew scratch build with the target RHEL-6-rebuild, don't try without --scratch as that won't work
  
Actual results:
https://brewweb.devel.redhat.com/taskinfo?taskID=1949331


Additional info:
We need the exact n-v-r of the fixed package so that we can import it into our RHEL-6 tree.

Comment 1 RHEL Product and Program Management 2009-09-14 13:27:06 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Dan Horák 2009-09-21 07:15:07 UTC
axis-1.2.1-5.2.fc11 builds fine in F-12 buildroot, see

https://brewweb.devel.redhat.com/taskinfo?taskID=1994871

The axis-java16.patch exists in F-11 branch, but is missing in the devel branch ...

Comment 3 Dan Horák 2009-09-25 11:02:48 UTC
Devel branch was updated with the patch from F-11 and the package is rebuilt.

fixed in axis-1.2.1-7.fc12

Comment 4 Christoph Karl 2009-09-26 10:06:10 UTC
Please move "axis-1.2.1-5.2.fc11.src.rpm" (at least) into
.../updates/testing/11/ (prefered /updates/11/)
to have a buildable version in the current fc11 release.

Thank you


Note You need to log in before you can comment on or make changes to this bug.